{ config, lib, pkgs, ... }:

let
  cfg = config.sydnix.users;
in {
  options.sydnix.users = {
    users = lib.mkOption {
      description =
        "List of usernames whose home profiles should be imported.";
      type = with lib.types; listOf str;
      default = [];
    };
  };

  config = {
    users.mutableUsers = false;
  };
}
